Bug 72813 - when using cpio on large files, it hangs in glibc read()
when using cpio on large files, it hangs in glibc read()
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-08-27 23:00 EDT by Need Real Name
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-27 23:00:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-08-27 23:00:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
cpio hangs in glibc on a read() when trying to extract from a large file. See 
the following stack trace for the exact location.

#0  0x40105c34 in __libc_read () from /lib/libc.so.6
#1  0xbffff650 in ?? ()
#2  0x8049659 in read_in_header (file_hdr=0xbffff8d0, in_des=0) at copyin.c:65
#3  0x8049ea3 in process_copy_in () at copyin.c:452
#4  0x804e2fe in main (argc=3, argv=0xbffffa14) at main.c:515
#5  0x40050b65 in __libc_start_main (main=0x804e2cc <main>, argc=3, ubp_av=0xbff
    init=0x8049018 <_init>, fini=0x805171c <_fini>, rtld_fini=0x4000df24 <_dl_fi
    stack_end=0xbffffa0c) at ../sysdeps/generic/libc-start.c:111

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.obtain a large cpio file. Suggest the Oracle for Linux cpio available at 
2.attempt any cpio action.  Even attempting cpio -t will hang in glibc on a read
() operation.  I was unable to debug any further than this.

Actual Results:  see stack trace in description.  Will not return, even if left 
running overnight.

Expected Results:  read operation in glibc should eventually return.

Additional info:
Comment 1 Need Real Name 2002-08-31 07:39:10 EDT
Very Sorry.  Was using wrong syntax. Was saying:
   cpio parms filename
instead of
   cpio parms  <  filename

Please cancel this bug report.

Note You need to log in before you can comment on or make changes to this bug.